Bug 490877 - when re-registering system with rhn_register --serverUrl=..., new server is not set in /etc/sysconfig/rhn/up2date
when re-registering system with rhn_register --serverUrl=..., new server is n...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date (Show other bugs)
4.8
All Linux
low Severity medium
: rc
: ---
Assigned To: Pradeep Kilambi
Red Hat Satellite QA List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-18 08:22 EDT by Jan Hutař
Modified: 2010-05-05 07:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-05 07:08:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Hutař 2009-03-18 08:22:34 EDT
Description of problem:
When re-registering system with `rhn_register --serverUrl=...`, new server is not set in /etc/sysconfig/rhn/up2date, but I can see it registered in the WebUI.


Version-Release number of selected component (if applicable):
up2date-4.8.1-26.el4.i386
rhnlib-2.1.4-4.el4.noarch
It is same with:
up2date-4.7.1-17.el4.i386
rhnlib-2.1.4-4.el4.noarch


How reproducible:
always


Steps to Reproduce:
1. # rhn_register   # with default setting this will go to rhn.redhat.com
2. # grep -i 'ServerURL=' /etc/sysconfig/rhn/up2date
   noSSLServerURL=http://xmlrpc.rhn.redhat.com/XMLRPC
   serverURL=https://xmlrpc.rhn.redhat.com/XMLRPC
3. rhn_register --serverUrl=https://xmlrpc.rhn.stage.redhat.com/XMLRPC


Actual results:
# grep -i 'ServerURL=' /etc/sysconfig/rhn/up2date
noSSLServerURL=http://xmlrpc.rhn.redhat.com/XMLRPC
serverURL=https://xmlrpc.rhn.redhat.com/XMLRPC


Expected results:
# grep -i 'ServerURL=' /etc/sysconfig/rhn/up2date
noSSLServerURL=http://xmlrpc.rhn.stage.redhat.com/XMLRPC
serverURL=https://xmlrpc.rhn.stage.redhat.com/XMLRPC
Comment 1 Miroslav Vadkerti 2009-04-21 10:27:37 EDT
When the string serverUrl is not set (serverURL=). A error in tui and log aapears:

[Tue Apr 21 10:22:19 2009] up2date   File "/usr/sbin/up2date", line 1315, in ?
    sys.exit(main() or 0)
   File "/usr/sbin/up2date", line 681, in main
    up2dateAuth.updateLoginInfo()
   File "/usr/share/rhn/up2date_client/up2dateAuth.py", line 146, in updateLoginInfo
    login()
   File "/usr/share/rhn/up2date_client/up2dateAuth.py", line 86, in login
    server = rpcServer.getServer()
   File "/usr/share/rhn/up2date_client/rpcServer.py", line 191, in getServer
    password=proxyPassword)
   File "/usr/lib/python2.3/site-packages/rhn/rpclib.py", line 153, in __init__
    type = (string.lower(type)).strip()
   File "/usr/lib/python2.3/string.py", line 55, in lower
    return s.lower()
Comment 2 RHEL Product and Program Management 2010-05-05 07:08:22 EDT
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.